#ifndef _MFAPPROCSH_
#define _MFAPPROCSH_

#ifdef __Linux__

#include <stdarg.h>
#include <errno.h>
#include <unistd.h>
#include <dirent.h>
#include <fcntl.h>
#include <signal.h>
#include <sys/dir.h>
#include <sys/stat.h>
#include <sys/mman.h>
#include <pwd.h>
#include <sys/types.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <fcntl.h>
#include <time.h>
#include <utmp.h>
#include <pwd.h>
#include <termcap.h>
#include <signal.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <ctype.h>
#include <setjmp.h>

#ifndef HZ
#define HZ 100
#endif

#define EXEC_PAGESIZE	4096

#ifndef NGROUPS
#define NGROUPS		32
#endif

#ifndef NOGROUP
#define NOGROUP		(-1)
#endif

#define MAXHOSTNAMELEN	64	/* max length of hostname */

char** file2strvec(char* directory, char* what);
int file2str(char *, char *, char *, int);
char* print_strlist(char **strs, char* sep, int max);

dev_t name_to_dev(char* name);
char* dev_to_name(dev_t num);
static int dev_to_devtab(int);
int tty_to_dev(char *tty);
void  dev_to_tty(char *tty, int dev);
char* abbrev_of_tty(char *tty);

char *user_from_uid(int uid);

void *xcalloc(void *pointer, int size);
void *xmalloc(unsigned int size);
void *xrealloc(void *oldp, unsigned int size);

#endif
#endif
