#ifndef MPROCSWIN_H
#define MPROCSWIN_H

#ifdef __Linux__

#include <qapp.h>
#include <qwidget.h>
#include <qpainter.h>
#include <qpixmap.h>
#include <qframe.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "common.h"
#include "procsframe.h"
#include "procscntrls.h"
#include "mfindscrbar.h"

class ProcsWin : public QWidget
{
	Q_OBJECT
public:
	ProcsWin(QWidget *parent=0, const char *name=0);

	ProcsFrame *procsframe;
	ProcsCntrls *controls;
	MfindScrBar *sBar;
	int YScrollBar;

signals:		
	
public slots:
	void ScrollV(int);
	void ResizeSBar(int);
	void ReloadProcs();
	void KillProc();
	
protected:
	void resizeEvent(QResizeEvent *);
	
private:

};

#endif
#endif
